ConfigPropertyDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.session.ConfigPropertyDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.session
Class ConfigPropertyDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.common.server.session.ConfigPropertyDAO

    public class ConfigPropertyDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`ConfigPropertyDAO(DAOFactory f)`

Method Summary
`protected boolean` | `cacheFindAll()` This method is intended for sub-classes to specify whether or not their 'find-all' finder should be automatically added to the query-cache.
`ConfigProperty` | `create(java.lang.String prefix, java.lang.String key, java.lang.String val, java.lang.String def)`
`ConfigProperty` | `findById(java.lang.Integer id)`
`java.util.Collection` | `findByPrefix(java.lang.String s)`
`void` | `remove(ConfigProperty entity)`
`void` | `save(ConfigProperty entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigPropertyDAO

    public ConfigPropertyDAO(DAOFactory f)

Method Detail

### findById

    public ConfigProperty findById(java.lang.Integer id)

### save

    public void save(ConfigProperty entity)

### cacheFindAll

    protected boolean cacheFindAll()

  Description copied from class: `HibernateDAO`
  This method is intended for sub-classes to specify whether or not their 'find-all' finder should be automatically added to the query-cache. The findAll query will use the persistent class specified in the constructor, and use the following cache region: com.my.Persistent.findAll

  Overrides:
    `cacheFindAll` in class `HibernateDAO`
  Returns:
    true to indicate that the finder should be cached

### remove

    public void remove(ConfigProperty entity)

### create

    public ConfigProperty create(java.lang.String prefix,
                                 java.lang.String key,
                                 java.lang.String val,
                                 java.lang.String def)

### findByPrefix

    public java.util.Collection findByPrefix(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.